<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>SharedModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="3001pt" height="284pt"
 viewBox="0.00 0.00 3001.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 2997,-280 2997,4 -4,4"/>
<text text-anchor="start" x="1475.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1262.5,-10 1262.5,-30 1282.5,-30 1282.5,-10 1262.5,-10"/>
<text text-anchor="start" x="1286.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1375.5,-10 1375.5,-30 1395.5,-30 1395.5,-10 1375.5,-10"/>
<text text-anchor="start" x="1399.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1461.5,-10 1461.5,-30 1481.5,-30 1481.5,-10 1461.5,-10"/>
<text text-anchor="start" x="1485.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1558.5,-10 1558.5,-30 1578.5,-30 1578.5,-10 1558.5,-10"/>
<text text-anchor="start" x="1582.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1654.5,-10 1654.5,-30 1674.5,-30 1674.5,-10 1654.5,-10"/>
<text text-anchor="start" x="1678.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_SharedModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-268 2985,-268 2985,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_SharedModule_declarations</title>
<polygon fill="none" stroke="#000000" points="57,-78 57,-130 2964,-130 2964,-78 57,-78"/>
</g>
<g id="clust20" class="cluster">
<title>cluster_SharedModule_exports</title>
<polygon fill="none" stroke="#000000" points="16,-208 16,-260 2977,-260 2977,-208 16,-208"/>
</g>
<!-- ActionCardComponent -->
<g id="node1" class="node">
<title>ActionCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2956.147,-122 2809.853,-122 2809.853,-86 2956.147,-86 2956.147,-122"/>
<text text-anchor="middle" x="2883" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ActionCardComponent</text>
</g>
<!-- SharedModule -->
<g id="node17" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1702.4231,-187 1699.4231,-191 1678.4231,-191 1675.4231,-187 1603.5769,-187 1603.5769,-151 1702.4231,-151 1702.4231,-187"/>
<text text-anchor="middle" x="1653" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- ActionCardComponent&#45;&gt;SharedModule -->
<g id="edge1" class="edge">
<title>ActionCardComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2814.3017,-122.2222C2814.3017,-140.8285 2814.3017,-167 2814.3017,-167 2814.3017,-167 1712.5282,-167 1712.5282,-167"/>
<polygon fill="#000000" stroke="#000000" points="1712.5282,-163.5001 1702.5282,-167 1712.5281,-170.5001 1712.5282,-163.5001"/>
</g>
<!-- CheckRolesDirective -->
<g id="node2" class="node">
<title>CheckRolesDirective</title>
<polygon fill="#ffffb3" stroke="#000000" points="2791.7353,-122 2656.2647,-122 2656.2647,-86 2791.7353,-86 2791.7353,-122"/>
<text text-anchor="middle" x="2724" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CheckRolesDirective</text>
</g>
<!-- CheckRolesDirective&#45;&gt;SharedModule -->
<g id="edge2" class="edge">
<title>CheckRolesDirective&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2748.3725,-122.302C2748.3725,-140.2699 2748.3725,-165 2748.3725,-165 2748.3725,-165 1712.5525,-165 1712.5525,-165"/>
<polygon fill="#000000" stroke="#000000" points="1712.5525,-161.5001 1702.5525,-165 1712.5524,-168.5001 1712.5525,-161.5001"/>
</g>
<!-- CompletableCardComponent -->
<g id="node3" class="node">
<title>CompletableCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2638.087,-122 2457.913,-122 2457.913,-86 2638.087,-86 2638.087,-122"/>
<text text-anchor="middle" x="2548" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CompletableCardComponent</text>
</g>
<!-- CompletableCardComponent&#45;&gt;SharedModule -->
<g id="edge3" class="edge">
<title>CompletableCardComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2578.7645,-122.0225C2578.7645,-139.3734 2578.7645,-163 2578.7645,-163 2578.7645,-163 1712.4458,-163 1712.4458,-163"/>
<polygon fill="#000000" stroke="#000000" points="1712.4459,-159.5001 1702.4458,-163 1712.4458,-166.5001 1712.4459,-159.5001"/>
</g>
<!-- DefaultErrorsComponent -->
<g id="node4" class="node">
<title>DefaultErrorsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2440.2893,-122 2281.7107,-122 2281.7107,-86 2440.2893,-86 2440.2893,-122"/>
<text text-anchor="middle" x="2361" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DefaultErrorsComponent</text>
</g>
<!-- DefaultErrorsComponent&#45;&gt;SharedModule -->
<g id="edge4" class="edge">
<title>DefaultErrorsComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2334.6185,-122.027C2334.6185,-138.3976 2334.6185,-160 2334.6185,-160 2334.6185,-160 1712.2945,-160 1712.2945,-160"/>
<polygon fill="#000000" stroke="#000000" points="1712.2946,-156.5001 1702.2945,-160 1712.2945,-163.5001 1712.2946,-156.5001"/>
</g>
<!-- EditContentComponent -->
<g id="node5" class="node">
<title>EditContentComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2263.4986,-122 2114.5014,-122 2114.5014,-86 2263.4986,-86 2263.4986,-122"/>
<text text-anchor="middle" x="2189" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">EditContentComponent</text>
</g>
<!-- EditContentComponent&#45;&gt;SharedModule -->
<g id="edge5" class="edge">
<title>EditContentComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2163.7502,-122.2819C2163.7502,-137.9478 2163.7502,-158 2163.7502,-158 2163.7502,-158 1712.437,-158 1712.437,-158"/>
<polygon fill="#000000" stroke="#000000" points="1712.437,-154.5001 1702.437,-158 1712.4369,-161.5001 1712.437,-154.5001"/>
</g>
<!-- EditWithSideBarComponent -->
<g id="node6" class="node">
<title>EditWithSideBarComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2096.7618,-122 1919.2382,-122 1919.2382,-86 2096.7618,-86 2096.7618,-122"/>
<text text-anchor="middle" x="2008" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">EditWithSideBarComponent</text>
</g>
<!-- EditWithSideBarComponent&#45;&gt;SharedModule -->
<g id="edge6" class="edge">
<title>EditWithSideBarComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M2005.375,-122.1871C2005.375,-137.1824 2005.375,-156 2005.375,-156 2005.375,-156 1712.3673,-156 1712.3673,-156"/>
<polygon fill="#000000" stroke="#000000" points="1712.3673,-152.5001 1702.3673,-156 1712.3672,-159.5001 1712.3673,-152.5001"/>
</g>
<!-- GroupedGridComponent -->
<g id="node7" class="node">
<title>GroupedGridComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1900.972,-122 1745.028,-122 1745.028,-86 1900.972,-86 1900.972,-122"/>
<text text-anchor="middle" x="1823" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">GroupedGridComponent</text>
</g>
<!-- GroupedGridComponent&#45;&gt;SharedModule -->
<g id="edge7" class="edge">
<title>GroupedGridComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M1818.875,-122.0511C1818.875,-136.373 1818.875,-154 1818.875,-154 1818.875,-154 1712.3189,-154 1712.3189,-154"/>
<polygon fill="#000000" stroke="#000000" points="1712.3189,-150.5001 1702.3189,-154 1712.3188,-157.5001 1712.3189,-150.5001"/>
</g>
<!-- HeaderComponent -->
<g id="node8" class="node">
<title>HeaderComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1726.7437,-122 1605.2563,-122 1605.2563,-86 1726.7437,-86 1726.7437,-122"/>
<text text-anchor="middle" x="1666" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HeaderComponent</text>
</g>
<!-- HeaderComponent&#45;&gt;SharedModule -->
<g id="edge8" class="edge">
<title>HeaderComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M1653.6697,-122.1061C1653.6697,-122.1061 1653.6697,-140.991 1653.6697,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="1650.1698,-140.9909 1653.6697,-150.991 1657.1698,-140.991 1650.1698,-140.9909"/>
</g>
<!-- SideBarBackButtonComponent -->
<g id="node9" class="node">
<title>SideBarBackButtonComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1586.8159,-122 1393.1841,-122 1393.1841,-86 1586.8159,-86 1586.8159,-122"/>
<text text-anchor="middle" x="1490" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SideBarBackButtonComponent</text>
</g>
<!-- SideBarBackButtonComponent&#45;&gt;SharedModule -->
<g id="edge9" class="edge">
<title>SideBarBackButtonComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M1579.5328,-122.0511C1579.5328,-136.373 1579.5328,-154 1579.5328,-154 1579.5328,-154 1593.5887,-154 1593.5887,-154"/>
<polygon fill="#000000" stroke="#000000" points="1593.5887,-157.5001 1603.5887,-154 1593.5887,-150.5001 1593.5887,-157.5001"/>
</g>
<!-- SideBarItemComponent -->
<g id="node10" class="node">
<title>SideBarItemComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1375.0884,-122 1222.9116,-122 1222.9116,-86 1375.0884,-86 1375.0884,-122"/>
<text text-anchor="middle" x="1299" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SideBarItemComponent</text>
</g>
<!-- SideBarItemComponent&#45;&gt;SharedModule -->
<g id="edge10" class="edge">
<title>SideBarItemComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M1366.4192,-122.1871C1366.4192,-137.1824 1366.4192,-156 1366.4192,-156 1366.4192,-156 1593.735,-156 1593.735,-156"/>
<polygon fill="#000000" stroke="#000000" points="1593.735,-159.5001 1603.735,-156 1593.735,-152.5001 1593.735,-159.5001"/>
</g>
<!-- SlideDetailsComponent -->
<g id="node11" class="node">
<title>SlideDetailsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1204.7632,-122 1055.2368,-122 1055.2368,-86 1204.7632,-86 1204.7632,-122"/>
<text text-anchor="middle" x="1130" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SlideDetailsComponent</text>
</g>
<!-- SlideDetailsComponent&#45;&gt;SharedModule -->
<g id="edge11" class="edge">
<title>SlideDetailsComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M1193.4187,-122.2819C1193.4187,-137.9478 1193.4187,-158 1193.4187,-158 1193.4187,-158 1593.3801,-158 1593.3801,-158"/>
<polygon fill="#000000" stroke="#000000" points="1593.3801,-161.5001 1603.3801,-158 1593.38,-154.5001 1593.3801,-161.5001"/>
</g>
<!-- SlideDetailsContentComponent -->
<g id="node12" class="node">
<title>SlideDetailsContentComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1037.0954,-122 842.9046,-122 842.9046,-86 1037.0954,-86 1037.0954,-122"/>
<text text-anchor="middle" x="940" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SlideDetailsContentComponent</text>
</g>
<!-- SlideDetailsContentComponent&#45;&gt;SharedModule -->
<g id="edge12" class="edge">
<title>SlideDetailsContentComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M1022.5831,-122.027C1022.5831,-138.3976 1022.5831,-160 1022.5831,-160 1022.5831,-160 1593.5322,-160 1593.5322,-160"/>
<polygon fill="#000000" stroke="#000000" points="1593.5323,-163.5001 1603.5322,-160 1593.5322,-156.5001 1593.5323,-163.5001"/>
</g>
<!-- SlideDetailsDetailsComponent -->
<g id="node13" class="node">
<title>SlideDetailsDetailsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="824.9157,-122 635.0843,-122 635.0843,-86 824.9157,-86 824.9157,-122"/>
<text text-anchor="middle" x="730" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SlideDetailsDetailsComponent</text>
</g>
<!-- SlideDetailsDetailsComponent&#45;&gt;SharedModule -->
<g id="edge13" class="edge">
<title>SlideDetailsDetailsComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M820.455,-122.0336C820.455,-139.0597 820.455,-162 820.455,-162 820.455,-162 1593.7217,-162 1593.7217,-162"/>
<polygon fill="#000000" stroke="#000000" points="1593.7217,-165.5001 1603.7217,-162 1593.7216,-158.5001 1593.7217,-165.5001"/>
</g>
<!-- SmallProgressSpinnerComponent -->
<g id="node14" class="node">
<title>SmallProgressSpinnerComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="616.7575,-122 411.2425,-122 411.2425,-86 616.7575,-86 616.7575,-122"/>
<text text-anchor="middle" x="514" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SmallProgressSpinnerComponent</text>
</g>
<!-- SmallProgressSpinnerComponent&#45;&gt;SharedModule -->
<g id="edge14" class="edge">
<title>SmallProgressSpinnerComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M611.2106,-122.002C611.2106,-139.6754 611.2106,-164 611.2106,-164 611.2106,-164 1593.4532,-164 1593.4532,-164"/>
<polygon fill="#000000" stroke="#000000" points="1593.4532,-167.5001 1603.4532,-164 1593.4531,-160.5001 1593.4532,-167.5001"/>
</g>
<!-- TextWithEditComponent -->
<g id="node15" class="node">
<title>TextWithEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="393.3201,-122 234.6799,-122 234.6799,-86 393.3201,-86 393.3201,-122"/>
<text text-anchor="middle" x="314" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TextWithEditComponent</text>
</g>
<!-- TextWithEditComponent&#45;&gt;SharedModule -->
<g id="edge15" class="edge">
<title>TextWithEditComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M385.7656,-122.2667C385.7656,-140.5552 385.7656,-166 385.7656,-166 385.7656,-166 1593.7118,-166 1593.7118,-166"/>
<polygon fill="#000000" stroke="#000000" points="1593.7119,-169.5001 1603.7118,-166 1593.7118,-162.5001 1593.7119,-169.5001"/>
</g>
<!-- UploadInputComponent -->
<g id="node16" class="node">
<title>UploadInputComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="217.0954,-122 64.9046,-122 64.9046,-86 217.0954,-86 217.0954,-122"/>
<text text-anchor="middle" x="141" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">UploadInputComponent</text>
</g>
<!-- UploadInputComponent&#45;&gt;SharedModule -->
<g id="edge16" class="edge">
<title>UploadInputComponent&#45;&gt;SharedModule</title>
<path fill="none" stroke="#000000" d="M207.5689,-122.1686C207.5689,-141.0898 207.5689,-168 207.5689,-168 207.5689,-168 1593.6631,-168 1593.6631,-168"/>
<polygon fill="#000000" stroke="#000000" points="1593.6632,-171.5001 1603.6631,-168 1593.6631,-164.5001 1593.6632,-171.5001"/>
</g>
<!-- ActionCardComponent  -->
<g id="node18" class="node">
<title>ActionCardComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2969.1467,-252 2818.8533,-252 2818.8533,-216 2969.1467,-216 2969.1467,-252"/>
<text text-anchor="middle" x="2894" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">ActionCardComponent </text>
</g>
<!-- SharedModule&#45;&gt;ActionCardComponent  -->
<g id="edge17" class="edge">
<title>SharedModule&#45;&gt;ActionCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.2964,-169C1934.7946,-169 2910.5244,-169 2910.5244,-169 2910.5244,-169 2910.5244,-205.8939 2910.5244,-205.8939"/>
<polygon fill="#000000" stroke="#000000" points="2907.0245,-205.8938 2910.5244,-215.8939 2914.0245,-205.8939 2907.0245,-205.8938"/>
</g>
<!-- SharedModule&#45;&gt;ActionCardComponent  -->
<g id="edge18" class="edge">
<title>SharedModule&#45;&gt;ActionCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.3803,-172C1929.7362,-172 2864.7256,-172 2864.7256,-172 2864.7256,-172 2864.7256,-205.7333 2864.7256,-205.7333"/>
<polygon fill="#000000" stroke="#000000" points="2861.2257,-205.7333 2864.7256,-215.7333 2868.2257,-205.7333 2861.2257,-205.7333"/>
</g>
<!-- CheckRolesDirective  -->
<g id="node19" class="node">
<title>CheckRolesDirective </title>
<polygon fill="#fb8072" stroke="#000000" points="2800.7352,-252 2661.2648,-252 2661.2648,-216 2800.7352,-216 2800.7352,-252"/>
<text text-anchor="middle" x="2731" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">CheckRolesDirective </text>
</g>
<!-- SharedModule&#45;&gt;CheckRolesDirective  -->
<g id="edge19" class="edge">
<title>SharedModule&#45;&gt;CheckRolesDirective </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.3234,-174C1910.2835,-174 2704.8775,-174 2704.8775,-174 2704.8775,-174 2704.8775,-205.998 2704.8775,-205.998"/>
<polygon fill="#000000" stroke="#000000" points="2701.3776,-205.998 2704.8775,-215.998 2708.3776,-205.9981 2701.3776,-205.998"/>
</g>
<!-- CompletableCardComponent  -->
<g id="node20" class="node">
<title>CompletableCardComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2643.5875,-252 2460.4125,-252 2460.4125,-216 2643.5875,-216 2643.5875,-252"/>
<text text-anchor="middle" x="2552" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">CompletableCardComponent </text>
</g>
<!-- SharedModule&#45;&gt;CompletableCardComponent  -->
<g id="edge20" class="edge">
<title>SharedModule&#45;&gt;CompletableCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.383,-176C1886.0919,-176 2519.4855,-176 2519.4855,-176 2519.4855,-176 2519.4855,-205.9664 2519.4855,-205.9664"/>
<polygon fill="#000000" stroke="#000000" points="2515.9856,-205.9663 2519.4855,-215.9664 2522.9856,-205.9664 2515.9856,-205.9663"/>
</g>
<!-- DefaultErrorsComponent  -->
<g id="node21" class="node">
<title>DefaultErrorsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2441.7891,-252 2280.2109,-252 2280.2109,-216 2441.7891,-216 2441.7891,-252"/>
<text text-anchor="middle" x="2361" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">DefaultErrorsComponent </text>
</g>
<!-- SharedModule&#45;&gt;DefaultErrorsComponent  -->
<g id="edge21" class="edge">
<title>SharedModule&#45;&gt;DefaultErrorsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.3252,-178C1866.9826,-178 2387.3815,-178 2387.3815,-178 2387.3815,-178 2387.3815,-205.973 2387.3815,-205.973"/>
<polygon fill="#000000" stroke="#000000" points="2383.8816,-205.973 2387.3815,-215.973 2390.8816,-205.973 2383.8816,-205.973"/>
</g>
<!-- EditContentComponent  -->
<g id="node22" class="node">
<title>EditContentComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2262.4994,-252 2109.5006,-252 2109.5006,-216 2262.4994,-216 2262.4994,-252"/>
<text text-anchor="middle" x="2186" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">EditContentComponent </text>
</g>
<!-- SharedModule&#45;&gt;EditContentComponent  -->
<g id="edge22" class="edge">
<title>SharedModule&#45;&gt;EditContentComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.6962,-181C1839.7492,-181 2212.9998,-181 2212.9998,-181 2212.9998,-181 2212.9998,-205.7604 2212.9998,-205.7604"/>
<polygon fill="#000000" stroke="#000000" points="2209.4999,-205.7604 2212.9998,-215.7604 2216.4999,-205.7604 2209.4999,-205.7604"/>
</g>
<!-- EditWithSideBarComponent  -->
<g id="node23" class="node">
<title>EditWithSideBarComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="2091.7618,-252 1910.2382,-252 1910.2382,-216 2091.7618,-216 2091.7618,-252"/>
<text text-anchor="middle" x="2001" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">EditWithSideBarComponent </text>
</g>
<!-- SharedModule&#45;&gt;EditWithSideBarComponent  -->
<g id="edge23" class="edge">
<title>SharedModule&#45;&gt;EditWithSideBarComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.2321,-183C1778.053,-183 1914.7442,-183 1914.7442,-183 1914.7442,-183 1914.7442,-205.8757 1914.7442,-205.8757"/>
<polygon fill="#000000" stroke="#000000" points="1911.2443,-205.8757 1914.7442,-215.8757 1918.2443,-205.8757 1911.2443,-205.8757"/>
</g>
<!-- GroupedGridComponent  -->
<g id="node24" class="node">
<title>GroupedGridComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1892.9727,-252 1733.0273,-252 1733.0273,-216 1892.9727,-216 1892.9727,-252"/>
<text text-anchor="middle" x="1813" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">GroupedGridComponent </text>
</g>
<!-- SharedModule&#45;&gt;GroupedGridComponent  -->
<g id="edge24" class="edge">
<title>SharedModule&#45;&gt;GroupedGridComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1702.6083,-185C1721.7564,-185 1739.139,-185 1739.139,-185 1739.139,-185 1739.139,-205.7542 1739.139,-205.7542"/>
<polygon fill="#000000" stroke="#000000" points="1735.6391,-205.7542 1739.139,-215.7542 1742.6391,-205.7542 1735.6391,-205.7542"/>
</g>
<!-- HeaderComponent  -->
<g id="node25" class="node">
<title>HeaderComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1715.7436,-252 1590.2564,-252 1590.2564,-216 1715.7436,-216 1715.7436,-252"/>
<text text-anchor="middle" x="1653" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">HeaderComponent </text>
</g>
<!-- SharedModule&#45;&gt;HeaderComponent  -->
<g id="edge25" class="edge">
<title>SharedModule&#45;&gt;HeaderComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1653,-187.1061C1653,-187.1061 1653,-205.991 1653,-205.991"/>
<polygon fill="#000000" stroke="#000000" points="1649.5001,-205.9909 1653,-215.991 1656.5001,-205.991 1649.5001,-205.9909"/>
</g>
<!-- SideBarBackButtonComponent  -->
<g id="node26" class="node">
<title>SideBarBackButtonComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1572.3157,-252 1375.6843,-252 1375.6843,-216 1572.3157,-216 1572.3157,-252"/>
<text text-anchor="middle" x="1474" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">SideBarBackButtonComponent </text>
</g>
<!-- SharedModule&#45;&gt;SideBarBackButtonComponent  -->
<g id="edge26" class="edge">
<title>SharedModule&#45;&gt;SideBarBackButtonComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.3355,-185C1553.1207,-185 1482.875,-185 1482.875,-185 1482.875,-185 1482.875,-205.7542 1482.875,-205.7542"/>
<polygon fill="#000000" stroke="#000000" points="1479.3751,-205.7542 1482.875,-215.7542 1486.3751,-205.7542 1479.3751,-205.7542"/>
</g>
<!-- SideBarItemComponent  -->
<g id="node27" class="node">
<title>SideBarItemComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1357.5889,-252 1202.4111,-252 1202.4111,-216 1357.5889,-216 1357.5889,-252"/>
<text text-anchor="middle" x="1280" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">SideBarItemComponent </text>
</g>
<!-- SharedModule&#45;&gt;SideBarItemComponent  -->
<g id="edge27" class="edge">
<title>SharedModule&#45;&gt;SideBarItemComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.7174,-183C1504.569,-183 1290.375,-183 1290.375,-183 1290.375,-183 1290.375,-205.8757 1290.375,-205.8757"/>
<polygon fill="#000000" stroke="#000000" points="1286.8751,-205.8757 1290.375,-215.8757 1293.8751,-205.8757 1286.8751,-205.8757"/>
</g>
<!-- SlideDetailsComponent  -->
<g id="node28" class="node">
<title>SlideDetailsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1184.7632,-252 1031.2368,-252 1031.2368,-216 1184.7632,-216 1184.7632,-252"/>
<text text-anchor="middle" x="1108" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">SlideDetailsComponent </text>
</g>
<!-- SharedModule&#45;&gt;SlideDetailsComponent  -->
<g id="edge28" class="edge">
<title>SharedModule&#45;&gt;SlideDetailsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.3236,-181C1470.9753,-181 1119.875,-181 1119.875,-181 1119.875,-181 1119.875,-205.7604 1119.875,-205.7604"/>
<polygon fill="#000000" stroke="#000000" points="1116.3751,-205.7604 1119.875,-215.7604 1123.3751,-205.7604 1116.3751,-205.7604"/>
</g>
<!-- SlideDetailsContentComponent  -->
<g id="node29" class="node">
<title>SlideDetailsContentComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="1013.5958,-252 816.4042,-252 816.4042,-216 1013.5958,-216 1013.5958,-252"/>
<text text-anchor="middle" x="915" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">SlideDetailsContentComponent </text>
</g>
<!-- SharedModule&#45;&gt;SlideDetailsContentComponent  -->
<g id="edge29" class="edge">
<title>SharedModule&#45;&gt;SlideDetailsContentComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.7633,-179C1440.6695,-179 928.375,-179 928.375,-179 928.375,-179 928.375,-205.9909 928.375,-205.9909"/>
<polygon fill="#000000" stroke="#000000" points="924.8751,-205.9909 928.375,-215.9909 931.8751,-205.991 924.8751,-205.9909"/>
</g>
<!-- SlideDetailsDetailsComponent  -->
<g id="node30" class="node">
<title>SlideDetailsDetailsComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="798.4152,-252 605.5848,-252 605.5848,-216 798.4152,-216 798.4152,-252"/>
<text text-anchor="middle" x="702" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">SlideDetailsDetailsComponent </text>
</g>
<!-- SharedModule&#45;&gt;SlideDetailsDetailsComponent  -->
<g id="edge30" class="edge">
<title>SharedModule&#45;&gt;SlideDetailsDetailsComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.6598,-177C1410.586,-177 716.875,-177 716.875,-177 716.875,-177 716.875,-205.9648 716.875,-205.9648"/>
<polygon fill="#000000" stroke="#000000" points="713.3751,-205.9648 716.875,-215.9648 720.3751,-205.9649 713.3751,-205.9648"/>
</g>
<!-- SmallProgressSpinnerComponent  -->
<g id="node31" class="node">
<title>SmallProgressSpinnerComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="587.7576,-252 378.2424,-252 378.2424,-216 587.7576,-216 587.7576,-252"/>
<text text-anchor="middle" x="483" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">SmallProgressSpinnerComponent </text>
</g>
<!-- SharedModule&#45;&gt;SmallProgressSpinnerComponent  -->
<g id="edge31" class="edge">
<title>SharedModule&#45;&gt;SmallProgressSpinnerComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.4302,-175C1382.6191,-175 499.375,-175 499.375,-175 499.375,-175 499.375,-205.9775 499.375,-205.9775"/>
<polygon fill="#000000" stroke="#000000" points="495.8751,-205.9774 499.375,-215.9775 502.8751,-205.9775 495.8751,-205.9774"/>
</g>
<!-- TextWithEditComponent  -->
<g id="node32" class="node">
<title>TextWithEditComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="359.8199,-252 198.1801,-252 198.1801,-216 359.8199,-216 359.8199,-252"/>
<text text-anchor="middle" x="279" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">TextWithEditComponent </text>
</g>
<!-- SharedModule&#45;&gt;TextWithEditComponent  -->
<g id="edge32" class="edge">
<title>SharedModule&#45;&gt;TextWithEditComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.549,-173C1359.7437,-173 297.375,-173 297.375,-173 297.375,-173 297.375,-205.698 297.375,-205.698"/>
<polygon fill="#000000" stroke="#000000" points="293.8751,-205.698 297.375,-215.698 300.8751,-205.698 293.8751,-205.698"/>
</g>
<!-- UploadInputComponent  -->
<g id="node33" class="node">
<title>UploadInputComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="179.5959,-252 24.4041,-252 24.4041,-216 179.5959,-216 179.5959,-252"/>
<text text-anchor="middle" x="102" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">UploadInputComponent </text>
</g>
<!-- SharedModule&#45;&gt;UploadInputComponent  -->
<g id="edge33" class="edge">
<title>SharedModule&#45;&gt;UploadInputComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M1603.3761,-171C1340.4836,-171 122.375,-171 122.375,-171 122.375,-171 122.375,-205.7778 122.375,-205.7778"/>
<polygon fill="#000000" stroke="#000000" points="118.8751,-205.7778 122.375,-215.7778 125.8751,-205.7778 118.8751,-205.7778"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/shared/shared.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ActionCardComponent.html">ActionCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../directives/CheckRolesDirective.html">CheckRolesDirective</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CompletableCardComponent.html">CompletableCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DefaultErrorsComponent.html">DefaultErrorsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/EditContentComponent.html">EditContentComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/EditWithSideBarComponent.html">EditWithSideBarComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/GroupedGridComponent.html">GroupedGridComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HeaderComponent.html">HeaderComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SideBarBackButtonComponent.html">SideBarBackButtonComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SideBarItemComponent.html">SideBarItemComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SlideDetailsComponent.html">SlideDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SlideDetailsContentComponent.html">SlideDetailsContentComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SlideDetailsDetailsComponent.html">SlideDetailsDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SmallProgressSpinnerComponent.html">SmallProgressSpinnerComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TextWithEditComponent.html">TextWithEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/UploadInputComponent.html">UploadInputComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ActionCardComponent.html">ActionCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ActionCardComponent.html">ActionCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../directives/CheckRolesDirective.html">CheckRolesDirective</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CompletableCardComponent.html">CompletableCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DefaultErrorsComponent.html">DefaultErrorsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/EditContentComponent.html">EditContentComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/EditWithSideBarComponent.html">EditWithSideBarComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/GroupedGridComponent.html">GroupedGridComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HeaderComponent.html">HeaderComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SideBarBackButtonComponent.html">SideBarBackButtonComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SideBarItemComponent.html">SideBarItemComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SlideDetailsComponent.html">SlideDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SlideDetailsContentComponent.html">SlideDetailsContentComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SlideDetailsDetailsComponent.html">SlideDetailsDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SmallProgressSpinnerComponent.html">SmallProgressSpinnerComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TextWithEditComponent.html">TextWithEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/UploadInputComponent.html">UploadInputComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="forRoot"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            forRoot
                            </b>
                            <a href="#forRoot"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>forRoot()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="153" class="link-to-prism">src/app/shared/shared.module.ts:153</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://angular.io/api/core/ModuleWithProviders" target="_blank" >ModuleWithProviders</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { ModuleWithProviders, NgModule } from &quot;@angular/core&quot;;
import { CommonModule } from &quot;@angular/common&quot;;
import { FormsModule, ReactiveFormsModule } from &quot;@angular/forms&quot;;
import { FlexLayoutModule } from &quot;@angular/flex-layout&quot;;
import {
  DateAdapter, MAT_DATE_LOCALE, MatButtonModule, MatCardModule, MatCheckboxModule, MatDatepickerModule, MatDialogModule,
  MatExpansionModule, MatIconModule, MatInputModule, MatListModule, MatMenuModule, MatPaginatorIntl, MatPaginatorModule,
  MatProgressBarModule, MatProgressSpinnerModule, MatRippleModule, MatSelectModule, MatSlideToggleModule,
  MatSnackBarModule, MatSortModule, MatTableModule, MatTooltipModule
} from &quot;@angular/material&quot;;
import {
  CovalentDialogsModule, CovalentExpansionPanelModule, CovalentLayoutModule, CovalentMessageModule
} from &quot;@covalent/core&quot;;
import { TranslateModule } from &quot;@ngx-translate/core&quot;;
import { GroupedGridComponent } from &quot;./grouped-grid/grouped-grid.component&quot;;
import { CdkTableModule } from &quot;@angular/cdk/table&quot;;
import { PaginatorI18NService } from &#x27;../core/service/paginate/paginator.i18n.service&#x27;;
import { NgxUploaderModule } from &quot;ngx-uploader&quot;;
import { UploadInputComponent } from &#x27;./upload-input/upload-input.component&#x27;;
import { CompletableCardComponent } from &#x27;./completable-card/completable-card.component&#x27;;
import {
  EditContentComponent, EditWithSideBarComponent, SideBarBackButtonComponent, SideBarItemComponent
} from &#x27;./edit-with-side-bar/edit-with-side-bar.component&#x27;;
import { DefaultErrorsComponent } from &#x27;./default-errors/default-errors.component&#x27;;
import { HeaderComponent } from &#x27;./header/header.component&#x27;;
import { ActionCardComponent } from &#x27;./action-card/action-card.component&#x27;;
import { CheckRolesDirective } from &#x27;./check-roles.directive&#x27;;
import { DatetimeAdapter, MAT_DATETIME_FORMATS, MatDatetimepickerModule } from &#x27;@mat-datetimepicker/core&#x27;;
import { MomentDatetimeAdapter } from &#x27;@mat-datetimepicker/moment&#x27;;
import { MomentDateAdapter } from &#x27;@angular/material-moment-adapter&#x27;;
import {
  SlideDetailsComponent, SlideDetailsContentComponent, SlideDetailsDetailsComponent
} from &#x27;./slide-details/slide-details.component&#x27;;
import { SmallProgressSpinnerComponent } from &#x27;./small-progress-spinner/small-progress-spinner.component&#x27;;
import { TextWithEditComponent } from &#x27;./text-with-edit/text-with-edit.component&#x27;;

export const DATETIME_FORMATS &#x3D; {
  parse: {
    dateInput: &quot;DD.MM.YYYY HH:mm&quot;,        // TODO: to fix with below line after pull request will be validated
                                          // (https://github.com/kuhnroyal/mat-datetimepicker/pull/12)
    // datetimeInput: &quot;DD.MM.YYYY HH:mm&quot;
  },
  display: {
    dateInput: &quot;DD.MM.YYYY&quot;,
    monthInput: &quot;MMMM&quot;,
    datetimeInput: &quot;DD.MM.YYYY HH:mm&quot;,
    timeInput: &quot;HH:mm&quot;,
    monthYearLabel: &quot;MMM YYYY&quot;,
    dateA11yLabel: &quot;LL&quot;,
    monthYearA11yLabel: &quot;MMMM YYYY&quot;
  }
};

@NgModule({
  imports: [
    CommonModule,
    TranslateModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,
    MatInputModule,
    MatButtonModule,
    MatIconModule,
    MatRippleModule,
    MatTooltipModule,
    MatTableModule,
    MatSortModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatExpansionModule,
    MatCardModule,
    MatListModule,
    MatCheckboxModule,
    CdkTableModule,
    NgxUploaderModule,
    CovalentDialogsModule,
  ],
  declarations: [
    HeaderComponent,
    GroupedGridComponent,
    UploadInputComponent,
    ActionCardComponent,
    CompletableCardComponent,
    EditWithSideBarComponent,
    SideBarItemComponent,
    EditContentComponent,
    SideBarBackButtonComponent,
    DefaultErrorsComponent,
    CheckRolesDirective,
    SlideDetailsComponent,
    SlideDetailsContentComponent,
    SlideDetailsDetailsComponent,
    SmallProgressSpinnerComponent,
    TextWithEditComponent
  ],
  exports: [
    // angular modules
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    // angular material modules
    MatButtonModule,
    MatCardModule,
    MatDialogModule,
    MatIconModule,
    MatSnackBarModule,
    MatSelectModule,
    MatSlideToggleModule,
    MatInputModule,
    MatTooltipModule,
    MatTableModule,
    MatSortModule,
    MatListModule,
    MatCheckboxModule,
    MatPaginatorModule,
    MatExpansionModule,
    MatProgressBarModule,
    MatMenuModule,
    CdkTableModule,
    MatDatepickerModule,
    MatDatetimepickerModule,
    // Covalent modules
    CovalentLayoutModule,
    CovalentMessageModule,
    CovalentExpansionPanelModule,
    // other modules
    FlexLayoutModule,
    TranslateModule,
    NgxUploaderModule,
    // custom components
    HeaderComponent,
    GroupedGridComponent,
    UploadInputComponent,
    ActionCardComponent,
    ActionCardComponent,
    CompletableCardComponent,
    EditWithSideBarComponent,
    SideBarItemComponent,
    EditContentComponent,
    SideBarBackButtonComponent,
    DefaultErrorsComponent,
    CheckRolesDirective,
    SlideDetailsComponent,
    SlideDetailsContentComponent,
    SlideDetailsDetailsComponent,
    MatProgressSpinnerModule,
    SmallProgressSpinnerComponent,
    TextWithEditComponent,
  ]
})
export class SharedModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: SharedModule,
      providers: [
        PaginatorI18NService,
        {provide: MatPaginatorIntl, useExisting: PaginatorI18NService},
        {provide: MAT_DATETIME_FORMATS, useValue: DATETIME_FORMATS},
        {provide: MAT_DATE_LOCALE, useValue: &#x27;fr-CH&#x27;},
        {provide: DateAdapter, useClass: MomentDateAdapter, deps: [MAT_DATE_LOCALE]},
        {provide: DatetimeAdapter, useClass: MomentDatetimeAdapter, deps: [MAT_DATE_LOCALE, DateAdapter]}
      ]
    };
  }
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'SharedModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
